package com.cool.store.service;

import com.cool.store.dto.TallyBookDTO;
import com.cool.store.dto.TallyBookDetailDTO;
import com.cool.store.entity.TallyBookDO;
import com.cool.store.request.TallyBookRequest;
import com.cool.store.response.TallyBookDetailResponse;
import com.cool.store.vo.PartnerUserInfoVO;

import java.util.Date;
import java.util.List;

/**
 * @Author: WangShuo
 * @Date: 2025/03/28/09:59
 * @Version 1.0
 * @注释:
 */
public interface TallyBookService {

    Long insertOrUpdateSelective(TallyBookRequest request,  PartnerUserInfoVO user);

    List<TallyBookDTO> getTallyBookListByShopIdAndYear(Long shopId, Integer year);

     Long initData( Long shopId, String partnerId);

    TallyBookDetailResponse getTallyBookDetailByTallyBookId(Long tallyBookId);
}
